[DEFAULT]


[ml2_odl]

#
# From ml2_odl
#

# HTTP URL of OpenDaylight REST interface. (string value)
#url = <None>

# HTTP username for authentication. (string value)
#username = <None>

# HTTP password for authentication. (string value)
#password = <None>

# HTTP timeout in seconds. (integer value)
#timeout = 10

# Tomcat session timeout in minutes. (integer value)
#session_timeout = 30

# Sync thread timeout in seconds. (integer value)
#sync_timeout = 10

# Number of times to retry a row before failing. (integer value)
#retry_count = 5

# Journal maintenance operations interval in seconds. (integer value)
#maintenance_interval = 300

# Time to keep completed rows (in seconds).
# For performance reasons it's not recommended to change this from the default
# value (0) which indicates completed rows aren't kept.
# This value will be checked every maintenance_interval by the cleanup
# thread. To keep completed rows indefinitely, set the value to -1
# (integer value)
#completed_rows_retention = 0

# Test without real ODL. (boolean value)
#enable_lightweight_testing = false

# Name of the controller to be used for port binding. (string value)
#port_binding_controller = pseudo-agentdb-binding

# Time in seconds to wait before a processing row is
# marked back to pending. (integer value)
#processing_timeout = 100

# Path for ODL host configuration REST interface (string value)
#odl_hostconf_uri = /restconf/operational/neutron:neutron/hostconfigs

# Poll interval in seconds for getting ODL hostconfig (integer value)
#restconf_poll_interval = 30

# Enable websocket for pseudo-agent-port-binding. (boolean value)
#enable_websocket_pseudo_agentdb = false

# Wait this many seconds before retrying the odl features fetch
# (integer value)
#odl_features_retry_interval = 5

# A list of features supported by ODL (list value)
#odl_features = <None>

# Enables the networking-odl driver to supply special neutron ports of
# "dhcp" type to OpenDaylight Controller for its use in providing DHCP
# Service. (boolean value)
#enable_dhcp_service = false
